Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.dialogs
Class AbstractSelectionDialogFactory

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.dialogs.AbstractSelectionDialogFactory

All Implemented Interfaces:
  SelectionDialogFactory

Direct Known Subclasses:
  DefaultSelectionDialogFactory

    public abstract class AbstractSelectionDialogFactory

extends Object
implements SelectionDialogFactory

Author:
  Holger Knublauch

Field Summary
`static String` | `SELECT_CLASS_TITLE`
`static String` | `SELECT_PROPERTY_TITLE`
`static String` | `SELECT_RESOURCE_TITLE`
`static String` | `SELECT_RESOURCES_TITLE`

Constructor Summary
`AbstractSelectionDialogFactory()`

Method Summary
`RDFSNamedClass` | `selectClass(Component parent, OWLModel owlModel)`
`RDFSNamedClass` | `selectClass(Component parent, OWLModel owlModel, Collection rootClasses)`
`RDFSNamedClass` | `selectClass(Component parent, OWLModel owlModel, Collection rootClasses, String title)`
`RDFSNamedClass` | `selectClass(Component parent, OWLModel owlModel, RDFSNamedClass rootClass, String title)`
`RDFSNamedClass` | `selectClass(Component parent, OWLModel owlModel, String title)`
`Set` | `selectClasses(Component parent, OWLModel owlModel, RDFSNamedClass rootClass, String title)`
`Set` | `selectClasses(Component parent, OWLModel owlModel, String title)`
`RDFProperty` | `selectProperty(Component parent, OWLModel owlModel, Collection allowedProperties)`
`RDFResource` | `selectResourceByType(Component parent, OWLModel owlModel, Collection allowedClasses)`
`Set` | `selectResourcesByType(Component parent, OWLModel owlModel, Collection allowedClasses)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.ui.dialogs.SelectionDialogFactory
`selectClasses, selectDatatype, selectProperty, selectResourceByType, selectResourceFromCollection, selectResourcesByType, selectResourcesFromCollection`

Field Detail

### SELECT_CLASS_TITLE

    public static final String SELECT_CLASS_TITLE

See Also:
  Constant Field Values

### SELECT_PROPERTY_TITLE

    public static final String SELECT_PROPERTY_TITLE

See Also:
  Constant Field Values

### SELECT_RESOURCE_TITLE

    public static final String SELECT_RESOURCE_TITLE

See Also:
  Constant Field Values

### SELECT_RESOURCES_TITLE

    public static final String SELECT_RESOURCES_TITLE

See Also:
  Constant Field Values

Constructor Detail

### AbstractSelectionDialogFactory

    public AbstractSelectionDialogFactory()

Method Detail

### selectClass

    public RDFSNamedClass selectClass(Component parent,
                                      OWLModel owlModel)

  Specified by:
    `selectClass` in interface `SelectionDialogFactory`

### selectClasses

    public Set selectClasses(Component parent,
                             OWLModel owlModel,
                             RDFSNamedClass rootClass,
                             String title)

  Specified by:
    `selectClasses` in interface `SelectionDialogFactory`

### selectClass

    public RDFSNamedClass selectClass(Component parent,
                                      OWLModel owlModel,
                                      RDFSNamedClass rootClass,
                                      String title)

  Specified by:
    `selectClass` in interface `SelectionDialogFactory`

### selectClass

    public RDFSNamedClass selectClass(Component parent,
                                      OWLModel owlModel,
                                      Collection rootClasses,
                                      String title)

  Specified by:
    `selectClass` in interface `SelectionDialogFactory`

### selectClass

    public RDFSNamedClass selectClass(Component parent,
                                      OWLModel owlModel,
                                      Collection rootClasses)

  Specified by:
    `selectClass` in interface `SelectionDialogFactory`

### selectClass

    public RDFSNamedClass selectClass(Component parent,
                                      OWLModel owlModel,
                                      String title)

  Specified by:
    `selectClass` in interface `SelectionDialogFactory`

### selectClasses

    public Set selectClasses(Component parent,
                             OWLModel owlModel,
                             String title)

  Specified by:
    `selectClasses` in interface `SelectionDialogFactory`

### selectProperty

    public RDFProperty selectProperty(Component parent,
                                      OWLModel owlModel,
                                      Collection allowedProperties)

  Specified by:
    `selectProperty` in interface `SelectionDialogFactory`

### selectResourceByType

    public RDFResource selectResourceByType(Component parent,
                                            OWLModel owlModel,
                                            Collection allowedClasses)

  Specified by:
    `selectResourceByType` in interface `SelectionDialogFactory`

### selectResourcesByType

    public Set selectResourcesByType(Component parent,
                                     OWLModel owlModel,
                                     Collection allowedClasses)

  Specified by:
    `selectResourcesByType` in interface `SelectionDialogFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.